---
version: '3.4'

services:
  rabbit:
    image: rabbitmq:3.8-management
    ports:
      - "5672:5672"
      - "15672:15672"
    environment:
      RABBITMQ_DEFAULT_USER: rabbit
      RABBITMQ_DEFAULT_PASS: abc123
  message-api-test:
    build:
      context: .
      target: builder 
    command: go test -short -v -coverprofile=.coverage.out
    environment:
      AMQP_URL: &aurl "amqp://rabbit:abc123@rabbit:5672/"
      MSG_API_BROKER: AMQP
    depends_on:
      - "rabbit"
    links:
      - "rabbit"
  message-api:
    environment:
      AMQP_URL: *aurl
      APP_PORT: 8080
      MSG_API_BROKER: AMQP
    build:
      context: .
      target: prod
    ports:
      - "8080:8080"
    depends_on:
      - "rabbit"
    links:
      - "rabbit"
